# DataExchange
TKSTEPBase
StepBasic

# StepBasic_SiUnitAndLengthUnit Class Reference

`#include <StepBasic_SiUnitAndLengthUnit.hxx>`

Inheritance diagram for StepBasic_SiUnitAndLengthUnit:

[legend]

## Public Member Functions

Standard_EXPORT | StepBasic_SiUnitAndLengthUnit ()
| Returns a SiUnitAndLengthUnit .
virtual Standard_EXPORT void | Init (const Handle(StepBasic_DimensionalExponents)&aDimensions)
virtual Standard_EXPORT void | Init (const Standard_Boolean hasAprefix, const StepBasic_SiPrefix aPrefix, const StepBasic_SiUnitName aName)
Standard_EXPORT void | SetLengthUnit (const Handle(StepBasic_LengthUnit)&aLengthUnit)
Standard_EXPORT Handle_StepBasic_LengthUnit | LengthUnit () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_StepBasic_LengthUnit | lengthUnit

## Constructor & Destructor Documentation

Standard_EXPORT StepBasic_SiUnitAndLengthUnit::StepBasic_SiUnitAndLengthUnit | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepBasic_SiUnitAndLengthUnit::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepBasic_SiUnit.

virtual Standard_EXPORT void StepBasic_SiUnitAndLengthUnit::Init | ( | const Standard_Boolean | hasAprefix,
|  | const StepBasic_SiPrefix | aPrefix,
|  | const StepBasic_SiUnitName | aName
| ) | `[virtual]`

| Reimplemented from StepBasic_SiUnit.

virtual Standard_EXPORT void StepBasic_SiUnitAndLengthUnit::Init | ( | const Handle(StepBasic_DimensionalExponents)& | aDimensions | ) | `[virtual]`

| Reimplemented from StepBasic_SiUnit.

Standard_EXPORT Handle_StepBasic_LengthUnit StepBasic_SiUnitAndLengthUnit::LengthUnit | ( |  | ) | const

Standard_EXPORT void StepBasic_SiUnitAndLengthUnit::SetLengthUnit | ( | const Handle(StepBasic_LengthUnit)& | aLengthUnit | ) |

## Field Documentation

Handle_StepBasic_LengthUnit StepBasic_SiUnitAndLengthUnit::lengthUnit `[private]`

The documentation for this class was generated from the following file:

- StepBasic_SiUnitAndLengthUnit.hxx